Bug 678107 (CVE-2011-1006)

Summary: CVE-2011-1006 libcgroup: Heap-based buffer overflow by converting list of controllers for given task into an array of strings
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: bressers, jrusnack, jsafrane, nelhage, security-response-team, varekova, vkrizan
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: public=20110303,reported=20110216,source=researcher,impact=important,cvss2=7.2/AV:L/AC:L/Au:N/C:C/I:C/A:C,rhel-6/libcgroup=affected,fedora-all/libcgroup=affected,cwe=CWE-122
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-07-29 13:52:28 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 680438, 680439    
Bug Blocks:    
Attachments:
Description Flags
patch none

Description Jan Lieskovsky 2011-02-16 18:34:44 UTC
A heap-based buffer overflow flaw was found in the way libcgroup,
control groups controlling and monitoring infrastructure, converted
list of user provided controllers for particular task, dedicated to
run the task in given control groups, into an array of strings.
A local attacker could use this flaw to escalate their privileges
via a specially-crafted list of controllers.

Acknowledgements:

Red Hat would like to thank Nelson Elhage for reporting this issue.

Comment 1 Jan Lieskovsky 2011-02-16 18:36:54 UTC
This issue affects the version of the libcgroup package, as shipped
with Red Hat Enterprise Linux 6.

--

This issue affects the versions of the libcgroup package, as shipped
with Fedora release of 13 and 14.

Comment 4 Jan Safranek 2011-02-17 11:07:25 UTC
Created attachment 479302 [details]
patch

The patch is obviously very simple, just check if nr. of controllers is in valid range.

Comment 7 Jan Lieskovsky 2011-02-22 16:03:05 UTC
The CVE identifier of CVE-2011-1006 has been assigned to this issue.

Comment 13 errata-xmlrpc 2011-03-03 23:17:18 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0320 https://rhn.redhat.com/errata/RHSA-2011-0320.html